## com.trilead.ssh2.packets
Class PacketSessionX11Request

    java.lang.Object
      com.trilead.ssh2.packets.PacketSessionX11Request

    public class PacketSessionX11Request

extends java.lang.Object

PacketSessionX11Request.

Field Summary
`int` `recipientChannelID`
`boolean` `singleConnection`
`boolean` `wantReply`

Constructor Summary
`PacketSessionX11Request(int recipientChannelID, boolean wantReply, boolean singleConnection, java.lang.String x11AuthenticationProtocol, java.lang.String x11AuthenticationCookie, int x11ScreenNumber)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recipientChannelID

    public int recipientChannelID

### wantReply

    public boolean wantReply

### singleConnection

    public boolean singleConnection

Constructor Detail

### PacketSessionX11Request

    public PacketSessionX11Request(int recipientChannelID,
                                   boolean wantReply,
                                   boolean singleConnection,
                                   java.lang.String x11AuthenticationProtocol,
                                   java.lang.String x11AuthenticationCookie,
                                   int x11ScreenNumber)

Method Detail

### getPayload

    public byte[] getPayload()